## org.mortbay.util
Class QuotedStringTokenizer

    java.lang.Object
      |
      +--java.util.StringTokenizer
            |
            +--org.mortbay.util.QuotedStringTokenizer

All Implemented Interfaces:
  java.util.Enumeration

public class QuotedStringTokenizer
extends java.util.StringTokenizer

StringTokenizer with Quoting support. This class is a copy of the java.util.StringTokenizer API and the behaviour is the same, except that single and doulbe quoted string values are recognized. Delimiters within quotes are not considered delimiters. Quotes can be escaped with '\'.

Version:
  $Id: QuotedStringTokenizer.java,v 1.3 2002/10/24 09:23:37 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  `StringTokenizer`

Constructor Summary
`QuotedStringTokenizer(java.lang.String str)`
`QuotedStringTokenizer(java.lang.String str, java.lang.String delim)`
`QuotedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnTokens)`
`QuotedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnTokens, boolean returnQuotes)`

Method Summary
`int` `countTokens()` Not implemented.
`boolean` `hasMoreElements()`
`boolean` `hasMoreTokens()`
`java.lang.Object` `nextElement()`
`java.lang.String` `nextToken()`
`java.lang.String` `nextToken(java.lang.String delim)`
`static void` `quote(java.lang.StringBuffer buf, java.lang.String s)` Quote a string into a StringBuffer.
`static java.lang.String` `quote(java.lang.String s, java.lang.String delim)` Quote a string.
`static java.lang.String` `unquote(java.lang.String s)` Unquote a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuotedStringTokenizer

    public QuotedStringTokenizer(java.lang.String str,
                                 java.lang.String delim,
                                 boolean returnTokens,
                                 boolean returnQuotes)

### QuotedStringTokenizer

    public QuotedStringTokenizer(java.lang.String str,
                                 java.lang.String delim,
                                 boolean returnTokens)

### QuotedStringTokenizer

    public QuotedStringTokenizer(java.lang.String str,
                                 java.lang.String delim)

### QuotedStringTokenizer

    public QuotedStringTokenizer(java.lang.String str)

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

  Overrides:
    `hasMoreTokens` in class `java.util.StringTokenizer`

### nextToken

    public java.lang.String nextToken()
                               throws java.util.NoSuchElementException

  Overrides:
    `nextToken` in class `java.util.StringTokenizer`
    `java.util.NoSuchElementException`

### nextToken

    public java.lang.String nextToken(java.lang.String delim)
                               throws java.util.NoSuchElementException

  Overrides:
    `nextToken` in class `java.util.StringTokenizer`
    `java.util.NoSuchElementException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`
  Overrides:
    `hasMoreElements` in class `java.util.StringTokenizer`

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Overrides:
    `nextElement` in class `java.util.StringTokenizer`
    `java.util.NoSuchElementException`

### countTokens

    public int countTokens()

  Not implemented.

  Overrides:
    `countTokens` in class `java.util.StringTokenizer`

### quote

    public static java.lang.String quote(java.lang.String s,
                                         java.lang.String delim)

  Quote a string. The string is quoted only if quoting is required due to embeded delimiters, quote characters or the empty string.

  Parameters:
    `s` - The string to quote.
  Returns:
    quoted string

### quote

    public static void quote(java.lang.StringBuffer buf,
                             java.lang.String s)

  Quote a string into a StringBuffer.

  Parameters:
    `buf` - The StringBuffer
    `s` - The String to quote.

### unquote

    public static java.lang.String unquote(java.lang.String s)

  Unquote a string.

  Parameters:
    `s` - The string to unquote.
  Returns:
    quoted string

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.